<style>
  .br-card {
    min-height: 300px;
  }

  .br-card .card-content p {
    font-size: var(--font-size-scale-base);
  }

  .main-content a {
    text-decoration: none;
  }

  .card-img {
    margin-bottom: var(--spacing-scale-2x);
    background-image: linear-gradient(to bottom, #e7f0f5, #d9ebf5);
  }
</style>

<section>
  <h6>Visão Geral</h6>
  <!-- INTRODUÇÃO -->
  <p>
    Para garantir que o seu projeto seja bem-sucedido, é importante seguir as boas práticas e recomendações disponíveis
    nesta seção. Os guias abrangem diversos aspectos do design system, como boas práticas em HTML, CSS e JavaScript, uso
    do WAI-ARIA, construção de componentes e acessibilidade. Seguindo essas recomendações, é possível aumentar as
    chances de sucesso no seu projeto e oferecer uma experiência positiva aos seus usuários.
  </p>
  <hr />
  <br />
</section>

<section>
  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/downloads/manuais-orientadores">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Manuais Orientadores</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/manuais-preview.png" class="img-fluid" alt="Manuais Orientadores" />
          </div>
          <div>
            <p>Tenha acesso aos manuais de diretrizes, de migração e publicação, entre outros.</p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/boas-praticas-de-css">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Boas Práticas de CSS</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/css-preview.png" class="img-fluid" alt="Boas Práticas de CSS" />
          </div>
          <div>
            <p>
              Aqui são abordados temas como pré-processadores de CSS, reset CSS, arquitetura css, media queries, e
              outros tópicos.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/boas-praticas-de-html">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Boas Práticas de HTML</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/html-preview.png" class="img-fluid" alt="Boas Práticas de HTML" />
          </div>
          <div>
            <p>Esse documento propõe um padrão de codificação para a linguagem HTML5.</p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/acessibilidade-html">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Acessibilidade no HTML</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/accessibility-preview.png" class="img-fluid" alt="Acessibilidade no HTML" />
          </div>
          <div>
            <p>
              Esse documento tem o objetivo de definir boas práticas de construção do código HTML seguindo as diretrizes
              do Modelo de Acessibilidade em Governo Eletrônico - eMAG.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/codificacao-javascript">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Codificação JavaScript</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/js-preview.png" class="img-fluid" alt="Codificação JavaScript" />
          </div>
          <div>
            <p>
              Esse documento descreve o padrão de codificação para a linguagem JavaScript utilizado no Design System de
              Governo.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/codificacao-sass">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Codificação SASS</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/sass-preview.png" class="img-fluid" alt="Codificação SASS" />
          </div>
          <div>
            <p>
              Acesse neste tópico as orientações sobre codificação SASS, como: padronização, function e mixins,
              componentes e mais.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/wai-aria">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Uso do WAI-ARIA</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/waiaria-preview.png" class="img-fluid" alt="Uso do WAI-ARIA" />
          </div>
          <div>
            <p>
              Esse documento apresenta uma breve introdução ao Accessible Rich Internet Application - ARIA, desenvolvido
              pela Web Accessibility Initiative - WAI.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/navegadores-suportados">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Navegadores Suportados</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/browsers-preview.png" class="img-fluid" alt="Navegadores Suportados" />
          </div>
          <div>
            <p>
              Aqui você encontra orientações sobre as versões dos navagadores suportados para o projeto design system.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/construcao-de-componentes">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Construção de Componentes</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/components-preview.png" class="img-fluid" alt="Construção de Componentes" />
          </div>
          <div>
            <p>
              Tenha acesso às orientações sobre construção de componentes, como: regras, estruturas de pastas, PUG, JS,
              SCSS, e outros assuntos.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/guias/migracao-2x-3x">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Migração da Versão 2x para 3x</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/migracao-preview.png" class="img-fluid" alt="Migração da Versão 2x para 3x" />
          </div>
          <div>
            <p>
              Este guia vai te ajudar a migrar da versão 2.4.3 para a 3.0.0 do Design System, caso tenha alguma dúvida,
              poderá ser submetida através do “Formulário para registro de dúvidas” disponível na página Como
              Contribuir.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>
</section>
